// Skin specific Javascript
if ("scImgMgr" in window) scImgMgr.fOverAlpha=.9;


var refs=document.getElementsByClassName('ref');
var refstitle=[];
var colors=['ff9696','ff215a','ffcc96','ffa201','fff832','48ff24','96ffbe','96f4ff','96c5ff','daaaff','ff76ba','bac6b5','c9cad5','e0e0e0','cdcb8f'];
var keys=[];
var refsclass=[];
// build a list of distinct reference title
for (var i=0; i<refs.length; i++) {
// console.log("ref:"+refs[i].title);
	if (!refstitle[refs[i].title]) {
		keys.push(refs[i].title);
		refstitle[refs[i].title]=refs[i].title;
	}
}
//console.log(keys.toString());
// sort the reference alphabeticaly to match better values
keys.sort();
//console.log(keys.toString());
// chose unique color for each key
var i=0;
var lastcolorindex=-1;
for (var i=0; i<keys.length; i++) {
	var colorindex=Math.floor((refstitle[keys[i]].toLowerCase().charCodeAt(0)-"a".charCodeAt(0))/2);
	if (colorindex<=lastcolorindex)
		colorindex=lastcolorindex+1;
	lastcolorindex=colorindex;
	refstitle[keys[i]]=colors[colorindex];
	refsclass[keys[i]]=colorindex;
//console.log(""+keys[i]+"->"+colors[i]+"... "+colorindex);
}
// apply bg color for each element
for (var i=0; i<refs.length; i++) {
	refs[i].style.backgroundColor='#'+refstitle[refs[i].title];
	refs[i].className=refs[i].className + " refhighlight"+refsclass[refs[i].title];
//console.log(""+refs[i].title+"==>"+refstitle[refs[i].title]);
}



// highlight elements of the same class
// based on http://stackoverflow.com/questions/12786810/css-hover-on-element-and-highlight-all-with-same-class
var elms={};
var n={};

function highlightfocus(classname, color) {
    var curn = n[classname];
    for(var i = 0; i < curn; i ++) {
        elms[classname][i].style.border = color;
    }
}

/*
//proper style compare not implemented so this function is not used
// if we could detect when re-entering an already focused item, we would use this
// to avoid simultaneous focus + mouseover selection

function unhighlightall(color) {
	for (var k=0; k<colors.length; k++) {
		curclass="refhighlight"+k;
		for (var i=0; i<elms[curclass].length; i++) {
			elms[curclass][i].style.border=color;
		}
	}
}

*/

for (var k=0; k<colors.length; k++) {
	curclass="refhighlight"+k;
	elms[curclass] = document.getElementsByClassName(curclass);
	n[curclass] = elms[curclass].length;
	var curn = n[curclass];
	for(var i = 0; i < curn; i++) {
		elms[curclass][i].onmouseover = elms[curclass][i].onfocus = function() {
//			unhighlightall("2px solid transparent");
			highlightfocus(this.className.split(" ").slice(-1), "2px solid #555555");
		};
		elms[curclass][i].onmouseout = elms[curclass][i].onblur = function() {
			highlightfocus(this.className.split(" ").slice(-1), "2px solid transparent");
		};
	}
}

